<?php
/**
*
* @package phpBB3
* @copyright (c) 2007, 2008 evil3
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
 * Get user mood
 *
 * @author Primy
 * @param int $user_mood User's mood
 * @param bool $use_text Returns text if true or image if false
 * @return string Mood
 */
function get_user_mood($user_mood, $use_text = false)
{
	global $user, $config;

	switch ($user_mood)
	{
		case MOOD_M1:
			$mood = 'mood_m1';
		break;

		case MOOD_M2:
			$mood = 'mood_m2';
		break;
				
    case MOOD_M3:
			$mood = 'mood_m3';
		break;

		case MOOD_M4:
			$mood = 'mood_m4';
		break;
		
		case MOOD_M5:
			$mood = 'mood_m5';
		break;

		case MOOD_M6:
			$mood = 'mood_m6';
		break;

		default:
         return false;
	}

	if ($use_text)
	{
		$mood = $user->lang[strtoupper($mood)];
	}
	else
	{
		$mood = $user->img('icon_' . $mood, strtoupper($mood));
	}

	return $mood;
}

?>